import os
import sys
from datetime import date
import glob
import shutil
import csv
import pandas as pd

rootdir = "/Users/normrasmussen/Documents/Resources/Walmart/"
downloadir = "/Users/normrasmussen/Google Drive/My Drive/Shared with Clients/Walmart/"
basefile = "WalmartTemplate.xlsx"

def copytemplate(rootdir, basefile):
    today = date.today()
    today = today.strftime("%m.%d.%Y")
    template = rootdir+basefile
    todayFile = f"Walmart-{today}.xlsx"
    if os.path.exists(rootdir):
        shutil.copy2(template, rootdir+todayFile)
        #dirfiles = os.listdir(rootdir)
        #print(dirfiles)
        currentDash = rootdir+f"Walmart-{today}.xlsx"
        print(currentDash)
        findlatestExport(currentDash)

def findlatestExport(currentDash):
    listfiles = glob.glob(downloadir + '*.xlsx')
    latestdownload = max(listfiles, key=os.path.getctime)
    print(latestdownload)
    copytoDash(latestdownload, currentDash)

def copytoDash(latestdownload, currentDash):
    readExport = pd.read_excel(
            latestdownload,
            index_col=False,
            header=0,
            )
    readExport.drop(
            readExport.filter(
                regex="Unname"
                ),axis=1,
                inplace=True)

def progressFormat(latestdownload, currentDash, readExport):
   df = pd.DataFrame(readExport)
    readExport['Progress_replace'] = readExport['Progress'].str.replace('%','')
    readExport['Progress_replace'] = pd.to_numeric(readExport['Progress_replace'])
    bringtoExcel(latestdownload, currentDash, copiedData)
    #cleanitUp(latestdownload, currentDash, copiedData)

def bringtoExcel(latestdownload, currentDash, copiedData):
    with pd.ExcelWriter(
            currentDash,
            mode="a",
            engine="openpyxl",
            if_sheet_exists="overlay",
    ) as writer:
        copiedData.to_excel(
                writer,
                engine="xlsxwriter",
                sheet_name="Data",
                index=False,
    )

#def cleanitUp(latestdownload, currentDash, copiedData):
    #cleanExcel = pd.read_excel(currentDash, sheet_name="Data", index_col=None)
#    print(cleanExcel)

if __name__ == "__main__":
    copytemplate(rootdir, basefile)
